SHA1SUM(1)

BEZEICHNUNG
sha1sum - SHA1-Prüfsummen berechnen und überprüfen

ÜBERSICHT
sha1sum [OPTION]… [DATEI]…

BESCHREIBUNG

überprüft MD5-Prüfsummen (160-bit) oder gibt diese aus.

Ohne DATEI oder wenn DATEI »-« ist, Standardeingabe lesen.

-b, --binary
    Im Binärmodus lesen

-c, --check
    SHA1‐Prüfsummen aus DATEIen lesen und überprüfen

--tag
    Eine Prüfsumme im BSD-Stil erstellen

-t, --text
    Im Textmodus lesen (Voreinstellung)

  Die folgenden fünf Optionen sind nur beim Überprüfen sinnvoll:

--ignore-missing
    meldet keinen Fehlschlag oder Status für fehlende Dateien

--quiet
    Nicht für jede erfolgreich geprüfte Datei OK ausgeben

--status
    Nichts ausgeben, der Statuscode zeigt Erfolg an

--strict
    Bei ungeeignet formatierten Prüfsummenzeilen mit von 0 verschiedenem Fehlercode abbrechen

-w, --warn
    Bei ungeeignet formatierten Prüfsummenzeilen warnen

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

Die Summen werden wie in FIPS-180-1 beschrieben berechnet. Beim Überprüfen sollte die Eingabe eine frühere Ausgabe dieses Programms sein. Die normale Arbeitsweise ist es, eine Zeile mit Prüfsumme, einem Zeichen, das den Eingabetyp anzeigt (»*« für binär, Leerzeichen für Text oder wenn binär nicht von Bedeutung ist), und dem Namen jeder DATEI auszugeben.

FEHLER
Der SHA1-Algorithmus sollte für sicherheitsrelevante Zwecke nicht mehr verwandt werden. Stattdessen verwenden Sie einen SHA-2-Algorithmus, der in den Programmen sha224sum(1), sha256sum(1), sha384sum(1) und sha512sum(1) implementiert ist oder den in b2sum(1) implementierten BLAKE2-Algorithmus.

AUTOR
Geschrieben von Ulrich Drepper, Scott Miller und David Madore.

FEHLER BERICHTEN
Onlinehilfe für GNU coreutils: <http://www.gnu.org/software/coreutils/>
Berichten Sie Fehler in der Übersetzung von sha1sum an <http://translationproject.org/team/de.html>

COPYRIGHT
Copyright © 2017 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Vollständige Dokumentation unter: <http://www.gnu.org/software/coreutils/sha1sum>
oder lokal verfügbar mit: info '(coreutils) sha1sum invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@debian.org>, Dr. Tobias Quathamer <toddy@debian.org> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.